/* imorting fonts */

@font-face {
  font-family: first-slide;
  font-display: swap;
  src: url(fonts/6496e594bf3cacacfe916c8c43251ade.woff2);
  font-weight: 100;
  font-style: normal;
}
@font-face {
  font-family: first-slide;
  font-display: swap;
  src: url(fonts/43eaca83e3a7e5e4fbef0651019847d0.woff2);
  font-weight: 100;
  font-style: italic;
}
@font-face {
  font-family: landing-large-font;
  font-display: swap;
  src: url(fonts/764f25de5868dbceef81542f2b05b43a.woff2);
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: landing-large-font;
  font-display: swap;
  src: url(fonts/c1a7e50900c9101f8e7570c425586032.woff2);
  font-weight: 400;
  font-style: normal;
}




body {min-width:300px;}{
  
    background-color: #231b2b;
  }
  .container,
  .container-fluid,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    width: 100%;
    padding-right: var(--bs-gutter-x, 0rem);
    padding-left: var(--bs-gutter-x, 0em);
    margin-right: auto;
    margin-left: auto;
    
  }
  .page_wrapper{
    display: none;
  }
#landing-page {
  opacity: 0;
}


  .box {
    height: 550px;
    width: 500px;
    overflow: hidden;
    /* background-color: antiquewhite;  */
  }
  .box.large {
    height: 300px;
  }
  .box.small {
    height: 100px;
  }

  img {
    max-width: 100%;
    max-height: 100%;
    display: block; /* remove extra space below image */
  }
  #bggif2 {
    width: 500px;
    height: 500px;
  }


  .bggif {
    display: block;
    width: 500px;
    opacity: 0.5;
    /* add this element to the center of the page */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  /* add id title to the center of the page over the bggif class  with size 50px*/
  #title {
    font-family: first-slide;
    font-size: 90px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    /* in all caps */
    text-transform: uppercase;
    
  }
 
   



  .slide1 {
    text-align: center;
    opacity: 0;
   
  }

  /*working on slide 2 here */
  /*keep .slide2 hidden  */
  .slide2 {
    opacity: 0; /*change this value to 0 after done editing */
  }
  /*center the #pot element over bggif element  */
  #pot {
    position: static;
    padding-top: 11%;
    padding-left: 32%;

    transform: scale(0.5);
  }

  /* allign #underpot under the #pot element */

  #underpot {
    position: static;
    margin-top: -20%;
    margin-left: 7%;
    /* zoom into the image 2x */
    transform: scale(0.8);
  }

  /* add rays over the pot */
  #rays {
    position: static;
    margin-top: -85%;
    margin-left: 10%;
    transform: translate(-50%, -50%);
    /* zoom into the image 2x */
    transform: scale(0.4);
    opacity: 0;
  }
  /*This apperas ater pot*/

  /* allign #mojobag to the exteme right side of the page parallel to #pot*/
  #mojobag {
    position: static;
    margin-top: 30%;
    margin-left: 50px;
    text-align: center;
    transform: translate(-50%, -50%);
    /* zoom int the image 2x */
    transform: scale(0.7);
    opacity: 0;

    
  }
  #mojolab {
    position: static;
    margin-top: -42.5%;
    margin-left: 50px;
    text-align: center;
  
    transform: translate(-50%, -50%);
    /* zoom into the image 2x */
    transform: scale(0.7);
    opacity: 0;

  }

  @media(min-width:1000px) {
            
    #mojobag{
        
      position: absolute;
          margin-top: 12%;
          top:50px;
          right: 10%;
          transform: translate(-50%, -50%);
          /* zoom int the image 2x */
          transform: scale(0.7);
          opacity: 0;
          

      }
      
    #mojolab{
      position: absolute;
          margin-top: 14%;
          top:50px;
          right: 13%;
          transform: translate(-50%, -50%);
          /* zoom int the image 2x */
          transform: scale(0.7);
          opacity: 0;
          
        
      }
  } 



  /*  main page css starts here */

/* add bg_green_pot.svg to the main background id elemet and give it a hight of 100vh and background-size: contain */


#bg-fixer{
  
  height: 100vh;
  overflow: hidden;
  
}
  /* center the image */

/* landing page css */

body{
  background-color: #231b2b;
  
}
.main-background {
 background-image: url("yellow_pot.svg");
  background-size:50%;
  background-repeat:no-repeat;

  height: 100vh;
  margin-top:15% ;
  position: relative;
  top: 15%;
  left: 22%;

/* move the image up by 20%
background-position: 20% -15%;

  
/* zoon into the top 30% of the image */ 
   opacity: 0.7;
  overflow: hidden;
  z-index: -1;
/* move the image up by 10 percent */

 } 


#bg-fixer{
 margin-top: -8%;
 padding-bottom: 0%;
 margin-bottom: 0%;
  
}



#sparkel-container{
  background-image: url("sparkle.gif");
  background-size: contain;
  background-repeat: repeat;
  height:30vh;
  width: 40vw;
  position: absolute;
  top: 40%;
  left: 32%;
  z-index: -1;
}
  




/* my code starts here  */


.logo_pos
{
  position: relative;
  width: 9vw;
  margin-left: 10px;
  
}
.logo_pos img{
margin-top: 10%;
position:inherit;
object-fit: fill;
max-width: 90%;
text-align: center;
opacity: 1;

}
#name{
  font-family:"first-slide";  
  margin-top: 10px;
  padding-left: 1%;
  display: block;
  color: #f7edd5;
  float: left;
  margin-left: 9.5%;
  word-spacing: 5px;
  font-family:'firstfont';
  font-size: xx-large;
  line-height: 27px;
  position: absolute;
  top: 5%;
  left: 0px;
  border-left:solid 4px #f7edd5 ;
  letter-spacing: 2px;
} 
#top_right{
  position: absolute;
  top:5%;
  right:1%;
  height: 5%;
  width: 15%;
}
#top_right img {
  display: inline-block ;
  margin: 15px;
  margin-bottom: 0px;
  width: 15%;
}
#top_right section div{
  color: #f7edd5;
  font-family: first-slide;
  letter-spacing: 6px;
  font-size:1.3vw ;
  text-transform: uppercase;
  font-weight: 300;
  margin:5px;
  

}

.nav{
  position: absolute;
  margin-left: 2%;
  margin-right: 2%;
  flex-direction:column;
  top:20%;
  height: 17vh;
  width: 95vw;
  border-top: 6px solid rgba(255, 255, 255, 0.8);
  border-bottom: 6px solid rgba(255, 255, 255, 0.8);
  background:transparent;
  font-family: 'firstfont';
  color: #f7edd5;
  right: 0;

}


a, a:hover{text-decoration: none;
color: #f7edd5;}
a, a:hover, a:focus, a:active {
  text-decoration: none;
  color: inherit;
}



   


    @media only screen and (max-device-width: 1000px) {
      
      #mojobag{
          
            position: absolute;
            margin-top: 27%;
            margin-left: 20px;
            text-align: center;
            
            
          
            transform: translate(-50%, -50%);
            /* zoom int the image 2x */
            transform: scale(0.6);
            opacity: 0;


        }
        
      #mojolab{
          position: absolute;
            margin-top: 32%;
            margin-left: 5px;
            text-align: center;
            
            
            transform: translate(-50%, -50%);
            /* zoom int the image 2x */
            transform: scale(0.6);
            opacity: 0;
          
        }
    }

/* add media tag of screen sizes smaller then 600px */
@media screen and (max-width: 600px) {
 
 
  .rotating_logo{
    width: 150px !important;
    height: 150px !important;
    position: absolute;
    bottom: 10px !important;
    margin: 10px !important;
     

  }
  .circle{
position: relative;
width: 160px !important;
height: 160px !important ;
border-radius: 50%;
display: flex;
justify-content: center;
align-items: center;
}



 
.text span {
  color: #f7edd5;
  position: absolute;
  left:50%;
  font-size: 25px;
  
  transform-origin: 0 80px !important;
}


  .logo_pos
  {
    margin-top: 10%;
    position: relative;
    width: 25vw;
    margin-left: 10px;
  }
  .logo_pos img{
  margin-top: 10%;
  position:inherit;
  object-fit: fill;
  max-width: 90%;
  text-align: center;
  opacity: 1;
  
  }
  #name{
    margin-top: 10px;
    padding-left: 1%;
    display: block;
    color: #f7edd5;
    float: left;
    margin-left: 27%;
    word-spacing: 5px;
    font-family:'firstfont';
    font-size: large;
    line-height: 27px;
    position: absolute;
    top: 5%;
    left: 0px;
    border-left:solid 4px #f7edd5 ;
    letter-spacing: 2px;
  } 
  #top_right{
  position: absolute;
  top:5%;
  right:5%;
  height: 5%;
  width: 35%;
}
#top_right section div{
  color: #f7edd5;
  font-family: first-slide;
  letter-spacing: 3px;
  font-size:13px ;
  text-transform: uppercase;
  font-weight: 300;
  margin:5px;
  

}

#top_right img {
  display: inline-block ;
  width: 20%;
  margin:5px
}
.link{
  text-decoration: none;
}


a{
  color: #f7edd5 !important;
  text-decoration: none;
  text-decoration-color:#f7edd5 !important ;
  text-decoration-line:none ;
}


.foot2{
  margin-left: -15px;
}
}

@media screen and (max-width:800px) and (min-width:650px){

  #name{
  margin-left: 11.5%;
  }


    .main-background {
      background-position: bottom;
      background-size:65%;
      background-repeat:no-repeat;
    
      height: 100vh;
      margin-top:10% ;
      position: relative;
      left: 0%;
    }
    .foot3{
      text-align: right;
    }
    
  
      .rotating_logo{
        position: absolute;
        left :-5px;
        bottom: 10px !important;
        margin: 10px !important;
      }

      .circle{
    position: relative;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .logo_pos img{
   
    }

  .text span{
    color: #f7edd5;
    position: absolute;
    left:50%;
    font-size: 25px;
    
    transform-origin: 0 50px;
  }
  #top_right a p{
    overflow: hidden;
    font-size: 18px;
    
  }
  .logo_pos img{
    margin-top: 70%;
    position:inherit;
    object-fit: fill;
    max-width: 100%;
    text-align: center;
    opacity: 1;
    
    }

    #top_right{
      position: absolute;
      top:5%;
      right:5%;
      height: 5%;
      width: 25%;
    }
    #top_right section div{
      color: #f7edd5;
      font-family: first-slide;
      letter-spacing: 3px;
      font-size:17px ;
      text-transform: uppercase;
      font-weight: 300;
      margin:5px;
      
    
    }
    
    #top_right img {
      display: inline-block ;
      width: 20%;
      margin:5px
    }

  
  }

@media screen 
and (min-device-width: 1200px) 
and (max-device-width: 1600px) 
and (-webkit-min-device-pixel-ratio: 1) 
{ 
  .rotating_logo{
    bottom: 10px !important;
    margin: 10px !important;
  }
}



/* add media tags to center the  main-background image when  */
@media screen and (max-width: 600px) {
  

  .main-background {
    background-position: bottom;
    background-size:100%;
    background-repeat:no-repeat;
  
    height: 100vh;
    margin-top:-15% ;
    position: relative;
    left: 0%;
  }
  .foot3{
    text-align: right;
  }

  

    .rotating_logo{
      position: absolute;

      left :0px;
      bottom: 10px !important;
      margin: 10px !important;
      
    }
    

.text span{
  color: #f7edd5;
  position: absolute;
  left:50%;
  font-size: 20px;
  
  transform-origin: 0 80px;
}
#top_right a p{
  overflow: hidden;
  font-size: 18px;
}

.navItems a{
  font-size: 30px !important; 
}
.smalltext{
  font-size: 17px !important;
}

  }

















